Redmine - Defect #7307

HTTP 500 error on query for empty revision
2011-01-12 09:53 - Etienne Massip

Status: Closed Start date: 2011-01-12
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.1.1

Resolution: Fixed Affected version: 1.1.0
Description

On revision page, you can change the revision id then click on the 'Ok’ button to get to the new revision page.
If you remove the revision id field content and leave it blank then you'll get a HTTP 500 error.
Additional question (UX) : why is the 'Ok’ button displayed on the revision page and not on the repository page ?

Tested with a SVN repo.

Related issues:
Has duplicate Redmine - Defect #7332: Defect #7307 doesn't appear to be fixed Closed 2011-01-14

Associated revisions

Revision 4703 - 2011-01-13 13:04 - Toshi MARUYAMA

scm: fix error on revision page for empty revision (#7307).

Revision 4704 - 2011-01-13 13:04 - Toshi MARUYAMA

scm: mercurial: fix error on revision page for empty revision (#7307).

Revision 4710 - 2011-01-14 21:22 - Jean-Philippe Lang
Respond with 404 instead of 500 when revision/entry is not found in the repository (#7307).

Revision 4712 - 2011-01-14 23:51 - Toshi MARUYAMA

scm: use #blank? instead of #nil? || #empty? at Repository#find_changeset_by_name(name) (#7307).

Referring r4711.

Revision 4713 - 2011-01-15 00:10 - Toshi MARUYAMA

scm: git: fix id at functional test_empty_revision test(#7307).

Revision 4714 - 2011-01-15 00:10 - Toshi MARUYAMA

scm: mercurial: fix id at functional test_empty_revision test(#7307).

History

#1-2011-01-12 11:01 - Toshi MARUYAMA
- File 7307-rev-empty.diff added

This is ad hoc patch.

#2 - 2011-01-12 12:21 - Gloriaer smith
- File leanspawithacai.jpg added

- Assignee set to Maxim Krusina

#3 - 2011-01-12 12:48 - Toshi MARUYAMA
- File deleted (leanspawithacai.jpg)
#4 - 2011-01-12 12:48 - Toshi MARUYAMA

- Assignee deleted (Maxim Krusina)
#5-2011-01-12 13:04 - Toshi MARUYAMA
Etienne Massip wrote:
Additional question (UX) : why is the 'Ok’ button displayed on the revision page and not on the repository page ?

Git shows branches and tags list box.
https://projects.kde.org/projects/extragear/kdevelop/kdevelop/repository

But, | don't know the reason of no 'Ok’ button.

#6 - 2011-01-12 14:32 - Etienne Massip
Toshi MARUYAMA wrote:

This is ad hoc patch.

Do you want me to test it ?

#7 - 2011-01-12 14:41 - Toshi MARUYAMA
Etienne Massip wrote:

Toshi MARUYAMA wrote:

This is ad hoc patch.

Do you want me to test it ?

| tested in Subversion.
| will research other SCMs.

#8 - 2011-01-13 04:42 - Toshi MARUYAMA
- Assignee set to Toshi MARUYAMA

#9 - 2011-01-13 13:20 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 1.1.1

- Resolution set to Fixed

Fixed in trunk by r4703, r4704 and in 1.1 by r4707.

#10 - 2011-01-14 15:11 - Be Fio

Hmm. I'm using 4707 right now, and the issue doesn't seem fixed for me. | click the repository tab, click view all revisions, then in the "Revision:
<input box> <ok button>" | just click the ok button without entering anything, and up pops a 500 error.

#11 - 2011-01-14 19:56 - Jean-Philippe Lang

- Status changed from Closed to Reopened

r4707 will return a 500 status code indeed. Maybe we could simply redirect to the revisions list when no revision parameter is given.

#12 - 2011-01-14 20:32 - Etienne Massip

I'm running r4709 and | get the same redmine 500 error | would get if | typed in a revision number which would not exist.

| don't have the Internal Server Error HTTP 500 any more (with svn, at least) so, as for myself, this issue is resolved.

#13 - 2011-01-14 20:49 - Jean-Philippe Lang

Yes, it's a user friendly 500 error but still, it's a 500 error response (meaning Internal Server Error) and this is not really appropriate. | think we should:
https://projects.kde.org/projects/extragear/kdevelop/kdevelop/repository
https://www.redmine.org/projects/redmine/repository/svn/revisions/4703
https://www.redmine.org/projects/redmine/repository/svn/revisions/4704
https://www.redmine.org/projects/redmine/repository/svn/revisions/4707
https://www.redmine.org/projects/redmine/repository/svn/revisions/4707
https://www.redmine.org/projects/redmine/repository/svn/revisions/4709
http://en.wikipedia.org/wiki/List_of_HTTP_status_codes#5xx_Server_Error

e response with a 404 when the revision that was entered was not found
® do a redirect to the revision list when no revision parameter is given

#14 - 2011-01-14 20:53 - Etienne Massip

Jean-Philippe Lang wrote:

Yes, it's a user friendly 500 error but still, it's a 500 error response (meaning Internal Server Error) and this is not really appropriate. | think we
should:

e response with a 404 when the revision that was entered was not found
® do a redirect to the revision list when no revision parameter is given

Sure, both looks like a (far for 404) better behavior.

#15 - 2011-01-14 21:26 - Jean-Philippe Lang
500 error changed to 404 in r4711.

#16 - 2011-01-15 01:51 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Fixed in trunk by from r4712 to r4714 and in 1.1 by from r4715 to r4717.

Files

7307-rev-empty.diff 581 Bytes 2011-01-12 Toshi MARUYAMA
